﻿local Engine, Api, Locale, Settings = unpack(Immersive)

local Default = Engine:GetModule("Default")

-- Registers the element.
function Default:RegisterMultiBarBottomRight()
	local settings = Settings:Get(self.Name).Elements["MultibarBottomRight"]
	local bar = Api:RegisterElement("MultibarBottomRight", settings)
	
	-- Add frames
	bar:AddFrame(MultiBarBottomRight)
	
	-- Add conditions
	bar:AddConditionRange(settings.Conditions)

	-- Add hotspots
	bar:AddHotspot(MultiBarBottomRight:GetRect())
end

-- Unregisters the element.
function Default:UnregisterMultiBarBottomRight()
	Api:UnregisterElement("MultibarBottomRight")
end